com.holonplatform.vaadin.navigator

## Interface ViewNavigator.NavigationBuilder

- All Known Implementing Classes:
    DefaultNavigationBuilder
  Enclosing interface:
    ViewNavigator

      public static interface ViewNavigator.NavigationBuilder

  Builder to create navigation calls using view name and parameters

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `navigate()` Navigate to view with registered parameters, if any
    `default com.vaadin.ui.Window` | `navigateInWindow()` Navigate to view with registered parameters, rendering the View contents in an application Window.
    `com.vaadin.ui.Window` | `navigateInWindow(Consumer<ViewWindowConfigurator> windowConfiguration)` Navigate to view with registered parameters, rendering the View contents in an application Window.
    `ViewNavigator.NavigationBuilder` | `withParameter(String name, Object value)` Add view parameter

- - ### Method Detail

    - #### withParameter

          ViewNavigator.NavigationBuilder withParameter(String name,
                                                        Object value)

      Add view parameter
      Parameters:
        `name` - Parameter name (required)
        `value` - Parameter value
      Returns:
        this

    - #### navigate

          void navigate()
                 throws ViewNavigator.ViewNavigationException

      Navigate to view with registered parameters, if any
      Throws:
        `ViewNavigator.ViewNavigationException` - Navigation failed

    - #### navigateInWindow

          default com.vaadin.ui.Window navigateInWindow()
                                                 throws ViewNavigator.ViewNavigationException

      Navigate to view with registered parameters, rendering the View contents in an application Window.
      Returns:
        The UI Window in which the View is displayed
      Throws:
        `ViewNavigator.ViewNavigationException` - Navigation failed

    - #### navigateInWindow

          com.vaadin.ui.Window navigateInWindow(Consumer<ViewWindowConfigurator> windowConfiguration)
                                         throws ViewNavigator.ViewNavigationException

      Navigate to view with registered parameters, rendering the View contents in an application Window.
      Parameters:
        `windowConfiguration` - View window configurator to setup the view Window
      Returns:
        The UI Window in which the View is displayed
      Throws:
        `ViewNavigator.ViewNavigationException` - Navigation failed

Copyright © 2019 The Holon Platform. All rights reserved.